Dilation with border control
Morphological Operations

Dilation computes the output pixel as the maximum pixel value of the pixels under the mask. More...

## Functions

NppStatus | nppiDilateBorder_8u_C1R (const Npp8u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor, NppiBorderType eBorderType)
| Single-channel 8-bit unsigned integer dilation with border control. More...
NppStatus | nppiDilateBorder_8u_C3R (const Npp8u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor, NppiBorderType eBorderType)
| Three-channel 8-bit unsigned integer dilation with border control. More...
NppStatus | nppiDilateBorder_8u_C4R (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor, NppiBorderType eBorderType)
| Four-channel 8-bit unsigned integer dilation with border control. More...
NppStatus | nppiDilateBorder_8u_AC4R (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor, NppiBorderType eBorderType)
| Four-channel 8-bit unsigned integer dilation with border control, ignoring alpha-channel. More...
NppStatus | nppiDilateBorder_16u_C1R (const Npp16u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor, NppiBorderType eBorderType)
| Single-channel 16-bit unsigned integer dilation with border control. More...
NppStatus | nppiDilateBorder_16u_C3R (const Npp16u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor, NppiBorderType eBorderType)
| Three-channel 16-bit unsigned integer dilation with border control. More...
NppStatus | nppiDilateBorder_16u_C4R (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor, NppiBorderType eBorderType)
| Four-channel 16-bit unsigned integer dilation with border control. More...
NppStatus | nppiDilateBorder_16u_AC4R (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor, NppiBorderType eBorderType)
| Four-channel 16-bit unsigned integer dilation with border control, ignoring alpha-channel. More...
NppStatus | nppiDilateBorder_32f_C1R (const Npp32f *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor, NppiBorderType eBorderType)
| Single-channel 32-bit floating-point dilation with border control. More...
NppStatus | nppiDilateBorder_32f_C3R (const Npp32f *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor, NppiBorderType eBorderType)
| Three-channel 32-bit floating-point dilation with border control. More...
NppStatus | nppiDilateBorder_32f_C4R (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor, NppiBorderType eBorderType)
| Four-channel 32-bit floating-point dilation with border control. More...
NppStatus | nppiDilateBorder_32f_AC4R (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u *pMask, NppiSize oMaskSize, NppiPoint oAnchor, NppiBorderType eBorderType)
| Four-channel 32-bit floating-point dilation with border control, ignoring alpha-channel. More...
NppStatus | nppiGrayDilateBorder_8u_C1R (const Npp8u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32s *pMask, NppiSize oMaskSize, NppiPoint oAnchor, NppiBorderType eBorderType)
| Single-channel 8-bit unsigned integer gray scale dilation with border control. More...
NppStatus | nppiGrayDilateBorder_32f_C1R (const Npp32f *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32f *pMask, NppiSize oMaskSize, NppiPoint oAnchor, NppiBorderType eBorderType)
| Single-channel 32-bit floating point gray scale dilation with border control. More...

## Detailed Description

Dilation computes the output pixel as the maximum pixel value of the pixels under the mask.

Pixels who's corresponding mask values are zero do not participate in the maximum search. For gray scale dilation the mask contains signed mask values which are added to the corresponding source image sample value before determining the maximun value after clamping.

If any portion of the mask overlaps the source image boundary the requested border type operation is applied to all mask pixels which fall outside of the source image.

Currently only the NPP_BORDER_REPLICATE border type operation is supported.

### Common parameters for nppiDilateBorder functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  oSrcSize | Source image width and height in pixels relative to pSrc.
  oSrcOffset | Source image starting point relative to pSrc.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pMask | Pointer to the start address of the mask array
  oMaskSize | Width and Height mask array.
  oAnchor | X and Y offsets of the mask origin frame of reference w.r.t the source pixel.
  eBorderType | The border type operation to be applied at source image border boundaries.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiDilateBorder_16u_AC4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppiBorderType | eBorderType
| ) |  |

Four-channel 16-bit unsigned integer dilation with border control, ignoring alpha-channel.

For common parameter descriptions, see Common parameters for nppiDilateBorder functions.

NppStatus nppiDilateBorder_16u_C1R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppiBorderType | eBorderType
| ) |  |

Single-channel 16-bit unsigned integer dilation with border control.

For common parameter descriptions, see Common parameters for nppiDilateBorder functions.

NppStatus nppiDilateBorder_16u_C3R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppiBorderType | eBorderType
| ) |  |

Three-channel 16-bit unsigned integer dilation with border control.

For common parameter descriptions, see Common parameters for nppiDilateBorder functions.

NppStatus nppiDilateBorder_16u_C4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppiBorderType | eBorderType
| ) |  |

Four-channel 16-bit unsigned integer dilation with border control.

For common parameter descriptions, see Common parameters for nppiDilateBorder functions.

NppStatus nppiDilateBorder_32f_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppiBorderType | eBorderType
| ) |  |

Four-channel 32-bit floating-point dilation with border control, ignoring alpha-channel.

For common parameter descriptions, see Common parameters for nppiDilateBorder functions.

NppStatus nppiDilateBorder_32f_C1R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppiBorderType | eBorderType
| ) |  |

Single-channel 32-bit floating-point dilation with border control.

For common parameter descriptions, see Common parameters for nppiDilateBorder functions.

NppStatus nppiDilateBorder_32f_C3R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppiBorderType | eBorderType
| ) |  |

Three-channel 32-bit floating-point dilation with border control.

For common parameter descriptions, see Common parameters for nppiDilateBorder functions.

NppStatus nppiDilateBorder_32f_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppiBorderType | eBorderType
| ) |  |

Four-channel 32-bit floating-point dilation with border control.

For common parameter descriptions, see Common parameters for nppiDilateBorder functions.

NppStatus nppiDilateBorder_8u_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppiBorderType | eBorderType
| ) |  |

Four-channel 8-bit unsigned integer dilation with border control, ignoring alpha-channel.

For common parameter descriptions, see Common parameters for nppiDilateBorder functions.

NppStatus nppiDilateBorder_8u_C1R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppiBorderType | eBorderType
| ) |  |

Single-channel 8-bit unsigned integer dilation with border control.

For common parameter descriptions, see Common parameters for nppiDilateBorder functions.

NppStatus nppiDilateBorder_8u_C3R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppiBorderType | eBorderType
| ) |  |

Three-channel 8-bit unsigned integer dilation with border control.

For common parameter descriptions, see Common parameters for nppiDilateBorder functions.

NppStatus nppiDilateBorder_8u_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppiBorderType | eBorderType
| ) |  |

Four-channel 8-bit unsigned integer dilation with border control.

For common parameter descriptions, see Common parameters for nppiDilateBorder functions.

NppStatus nppiGrayDilateBorder_32f_C1R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppiBorderType | eBorderType
| ) |  |

Single-channel 32-bit floating point gray scale dilation with border control.

For common parameter descriptions, see Common parameters for nppiDilateBorder functions.

NppStatus nppiGrayDilateBorder_8u_C1R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pMask,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | NppiBorderType | eBorderType
| ) |  |

Single-channel 8-bit unsigned integer gray scale dilation with border control.

For common parameter descriptions, see Common parameters for nppiDilateBorder functions.

Copyright © 2009-2017 NVIDIA Corporation